据说emacs cvs版本已经修复了gnome下面无法使用输入法的问题

Vim、Emacs配置和使用
回复
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

据说emacs cvs版本已经修复了gnome下面无法使用输入法的问题

#1

帖子 karron » 2006-11-02 9:00

编译方法

代码: 全选

sudo apt-get build-dep emacs-snapshot-gtk

sudo apt-get install cvs

cvs -z3 -d:pserver:anonymous@cvs.sv.gnu.org:/cvsroot/emacs co -r emacs-unicode-2 emacs

./configure --prefix=/usr --enable-font-backend --with-xft --with-freetype --with-gtk

make bootstrap 

sudo make install

启动参数

代码: 全选

emacs --enable-font-backend -fn "Bitstream Vera Sans Mono-12"
漂亮的中文.
在.emacs里面加上

代码: 全选

(set-fontset-font "fontset-default"
                  'gb18030 '("Microsoft YaHei" . "unicode-bmp"))
注意把Microsoft YaHei改成你自己机器上的中文字体.
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
xcity
帖子: 135
注册时间: 2006-09-20 17:11
送出感谢: 0
接收感谢: 0

#2

帖子 xcity » 2006-11-02 22:44

本来就是可以用的,需要做些设置而已。不过这个版本支持truetype,还是不错的。这样字体可以显示的非常漂亮。
fuhuizn
帖子: 728
注册时间: 2006-01-06 22:55
系统: ubuntu
送出感谢: 0
接收感谢: 12 次
联系:

#3

帖子 fuhuizn » 2006-11-18 12:43

确实可以,本方应该加精
头像
allisfree
帖子: 228
注册时间: 2005-12-25 20:16
送出感谢: 0
接收感谢: 0

#4

帖子 allisfree » 2006-11-19 13:01

郁闷,跟我的xgl+beryl有冲突,仍旧没有输入法,转到正常的kde session下可以输入中文了,不过也有重启x后不能使用的经历

旧的刚去,新的又来,真是无奈啊

更新:改用fcitx,一切顺利,看来还是fcitx简单实用,scim那许多输入法又用不到,兼容性问题又多多
上次由 allisfree 在 2006-12-14 12:51,总共编辑 2 次。
头像
jackphil
帖子: 59
注册时间: 2006-09-04 23:49
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 jackphil » 2006-11-20 17:06

allisfree 写了:郁闷,跟我的xgl+beryl有冲突,仍旧没有输入法,转到正常的kde session下可以输入中文了,不过也有重启x后不能使用的经历

旧的刚去,新的又来,真是无奈啊
为什么不是试试aiglx,我的googleearth就是在aiglx下顺畅,xgl总是不爽

p.s. 对我来说xgl可有可无,是饭后甜点(eye candy),emacs可是必需品,如果实在搞不定,我的建议是放弃xgl吧
smartcar
帖子: 131
注册时间: 2006-04-07 14:14
来自: 北京
送出感谢: 0
接收感谢: 0
联系:

不过这个是alpha版本,不知道 稳定性是不是有问题

#6

帖子 smartcar » 2006-12-25 10:31

用过的同好们,有没有什么经验可以分享一下?
jake
帖子: 40
注册时间: 2006-09-16 22:32
送出感谢: 0
接收感谢: 0
联系:

#7

帖子 jake » 2007-01-20 16:52

帅~ 终于能够顺利地使用fcitx了 :em08
Magic_M
帖子: 8
注册时间: 2006-12-23 22:56
送出感谢: 0
接收感谢: 0

#8

帖子 Magic_M » 2007-01-21 19:16

这里有关于拼间输入法的http://man.chinaunix.net/newsoft/Emac/book.html#AEN205
我试过,可以搞定,但是自己设置的五笔的时候出错了 no quail pakage.

谁如果搞定了五笔别忘了说一下哦
wuyaming
帖子: 51
注册时间: 2007-01-30 9:22
送出感谢: 0
接收感谢: 0

#9

帖子 wuyaming » 2007-01-31 11:16

谢谢了,我装的emacs23不能用fcitx,用了你的方法重新安了个,就可以用了,谢谢你
gritcn
帖子: 29
注册时间: 2006-12-06 19:47
送出感谢: 0
接收感谢: 0

#10

帖子 gritcn » 2007-02-04 8:46

xcity
之前版本怎么用外部输入法?请问能说明一下你在emacs21等之前版本的设置吗?
头像
cheneymx
帖子: 159
注册时间: 2007-03-13 4:59
来自: Erlangen
送出感谢: 0
接收感谢: 0

#11

帖子 cheneymx » 2007-07-17 3:36

今天无聊, 打算给emacs23升升级. 结果把原来的emacs删除, cvs到了最新版本, 结果我按照这个方法装居然出问题了. 在make bootstrap 的时候,说一个函数第一次使用, 未声明来着.... 然后便以 '错误' 为理由终止了make...
试了好几次也都是如此, 后来重新使用5月份的老版本emacs23, 结果一切都没有问题了.... 是不是说楼主的方法不适合新的emacs23?
ylm1982
帖子: 16
注册时间: 2006-08-30 23:02
送出感谢: 0
接收感谢: 0

#12

帖子 ylm1982 » 2007-12-17 15:39

谢谢,看过好几次都没用上,谁知道这次重装系统竟然又翻出来了。
回复

回到 “Vim和Emacs”